Mailinglist Archive: opensuse-security-announce (95 mails)

< Previous Next >
[security-announce] openSUSE-SU-2019:2078-1: important: Security update for python-SQLAlchemy
openSUSE Security Update: Security update for python-SQLAlchemy
______________________________________________________________________________

Announcement ID: openSUSE-SU-2019:2078-1
Rating: important
References: #1124593
Cross-References: CVE-2019-7164 CVE-2019-7548
Affected Products:
openSUSE Backports SLE-15
______________________________________________________________________________

An update that fixes two vulnerabilities is now available.

Description:

This update for python-SQLAlchemy fixes the following issues:

Security issues fixed:

- CVE-2019-7164: Fixed SQL Injection via the order_by parameter
(bsc#1124593).
- CVE-2019-7548: Fixed SQL Injection via the group_by parameter
(bsc#1124593).

This update was imported from the SUSE:SLE-15:Update update project. This
update was imported from the openSUSE:Leap:15.0:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Backports SLE-15:

zypper in -t patch openSUSE-2019-2078=1



Package List:

- openSUSE Backports SLE-15 (aarch64 ppc64le s390x x86_64):

python2-SQLAlchemy-1.2.7-bp150.2.3.1
python3-SQLAlchemy-1.2.7-bp150.2.3.1

- openSUSE Backports SLE-15 (noarch):

python-SQLAlchemy-doc-1.2.7-bp150.2.3.1


References:

https://www.suse.com/security/cve/CVE-2019-7164.html
https://www.suse.com/security/cve/CVE-2019-7548.html
https://bugzilla.suse.com/1124593

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages